package dev.shadowsoffire.apotheosis.adventure.boss;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.gson.JsonElement;
import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.adventure.AdventureModule;
import dev.shadowsoffire.apotheosis.adventure.boss.ApothBoss;
import dev.shadowsoffire.placebo.codec.CodecProvider;
import dev.shadowsoffire.placebo.reload.WeightedDynamicRegistry;
import java.util.Map;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.server.packs.resources.ResourceManager;
import net.minecraft.util.profiling.ProfilerFiller;

public class BossRegistry extends WeightedDynamicRegistry<ApothBoss> {
  public static final dev.shadowsoffire.apotheosis.adventure.boss.BossRegistry INSTANCE = new dev.shadowsoffire.apotheosis.adventure.boss.BossRegistry();
  
  public BossRegistry() {
    super(AdventureModule.LOGGER, "bosses", false, false);
  }
  
  protected Map<ResourceLocation, JsonElement> m_5944_(ResourceManager pResourceManager, ProfilerFiller pProfiler) {
    Map<ResourceLocation, JsonElement> map = super.m_5944_(pResourceManager, pProfiler);
    map.keySet().removeIf(r -> "brutalbosses".equals(r.m_135827_()));
    return map;
  }
  
  protected void validateItem(ResourceLocation key, ApothBoss item) {
    super.validateItem(key, (CodecProvider)item);
    item.validate(key);
  }
  
  protected void registerBuiltinCodecs() {
    registerDefaultCodec(Apotheosis.loc("boss"), ApothBoss.CODEC);
  }
}
